/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.PrintingProject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface PrintingProjectRepository extends JpaRepository<PrintingProject, Long>, JpaSpecificationExecutor<PrintingProject> {

    @Transactional
    @Modifying
    @Query("UPDATE PrintingProject SET orgName=:orgName WHERE orgId=:orgId")
    int updateOrgNameByOrgId(@Param("orgId") Long orgId, @Param("orgName") String orgName);

    @Transactional
    @Modifying
    @Query("UPDATE PrintingProject SET examName=:examName WHERE examId=:examId")
    int updateExamNameByExamId(@Param("examId") Long examId, @Param("examName") String examName);

    @Transactional
    @Modifying
    @Query("UPDATE PrintingProject SET pmName=:pmName WHERE pmId=:pmId")
    int updatePmNameByPmId(@Param("pmId") Long pmId, @Param("pmName") String pmName);

    @Transactional
    @Modifying
    @Query("UPDATE PrintingProject SET supplierName=:supplierName WHERE supplierId=:supplierId")
    int updateSupplierNameBySupplierId(@Param("supplierId") Long supplierId, @Param("supplierName") String supplierName);

}